<?php

/**
 * @file
 * Theme functions for User Disk Quota module.
 */

/**
 * Prepares variables for user_disk_quota templates.
 *
 * Default template: user-disk-quota.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - account: The associated account.
 */
function template_preprocess_user_disk_quota(array &$variables) {
  $user = \Drupal::currentUser();
  $account = $variables['account'];

  $variables['used'] = format_size(_user_disk_quota_get_user_disk_quota($account));
  $variables['quota'] = format_size(_user_disk_quota_get_user_max_quota($account));

  if ($user->id() !== $account->id()) {
    $variables['content'] = t('User used %used disk space of their %quota quota.', [
      '%used' => $variables['used'],
      '%quota' => $variables['quota'],
    ]);
  }
  else {
    $variables['content'] = t('You used %used disk space of your %quota quota.', [
      '%used' => $variables['used'],
      '%quota' => $variables['quota'],
    ]);
  }

}
